- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instantSnapshotGroups/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instantSnapshotGroups/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instantSnapshotGroups/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instantSnapshotGroups/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instantSnapshotGroups/get#body.InstantSnapshotGroup.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instantSnapshotGroups/get#body.InstantSnapshotGroup.SCHEMA_REPRESENTATION.resource_status.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instantSnapshotGroups/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instantSnapshotGroups/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/instantSnapshotGroups/get#try-it)

returns the specified InstantSnapshotGroup resource in the specified zone.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/zones/{zone}/instantSnapshotGroups/{instantSnapshotGroup}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `zone` | `string` The name of the zone for this request. |
| `instantSnapshotGroup` | `string` Name of the InstantSnapshotGroup resource to return. |

### Request body

The request body must be empty.

### Response body

Represents an InstantSnapshotGroup resource.

An instant snapshot group is a set of instant snapshots that represents a point in time state of a consistency group.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "name": string, "description": string, "id": string, "status": enum, "resourceStatus": { "consistencyMembershipResolutionTime": string, "sourceInfo": { "consistencyGroup": string, "consistencyGroupId": string } }, "creationTimestamp": string, "zone": string, "region": string, "selfLink": string, "selfLinkWithId": string, "sourceConsistencyGroup": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always `compute#instantSnapshotGroup` for InstantSnapshotGroup resources. |
| `name` | `string` Identifier. Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `description` | `string` Optional. An optional description of this resource. Provide this property when you create the resource. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `status` | `enum` Output only. |
| `resourceStatus` | `object` |
| `resourceStatus.consistencyMembershipResolutionTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `resourceStatus.sourceInfo` | `object` Output only. |
| `resourceStatus.sourceInfo.consistencyGroup` | `string` |
| `resourceStatus.sourceInfo.consistencyGroupId` | `string` |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `zone` | `string` Output only. URL of the zone where the instant snapshot group resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
| `region` | `string` Output only. URL of the region where the instant snapshot group resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `selfLinkWithId` | `string` Output only. Server-defined URL for this resource's resource id. |
| `sourceConsistencyGroup` | `string` |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.instantSnapshotGroups.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).